*** check_disk.c.r130	Wed Jun 18 13:58:46 2003
--- check_disk.c	Wed Jun 18 14:07:10 2003
***************
*** 41,47 ****
  
  int process_arguments (int, char **);
  int validate_arguments (void);
! int check_disk (int usp, int free_disk);
  void print_help (void);
  void print_usage (void);
  
--- 41,47 ----
  
  int process_arguments (int, char **);
  int validate_arguments (void);
! int check_disk (int usp, float free_disk);
  void print_help (void);
  void print_usage (void);
  
***************
*** 61,69 ****
  main (int argc, char **argv)
  {
  	int usp = -1;
! 	int total_disk = -1;
! 	int used_disk = -1;
! 	int free_disk = -1;
  	int result = STATE_UNKNOWN;
  	int disk_result = STATE_UNKNOWN;
  	char *command_line = "";
--- 61,69 ----
  main (int argc, char **argv)
  {
  	int usp = -1;
! 	float total_disk = -1;
! 	float used_disk = -1;
! 	float free_disk = -1;
  	int result = STATE_UNKNOWN;
  	int disk_result = STATE_UNKNOWN;
  	char *command_line = "";
***************
*** 96,104 ****
  		if (!index (input_buffer, '/'))
  			continue;
  
! 		if (sscanf (input_buffer, "%s %d %d %d %d%% %s", file_system,
  		     &total_disk, &used_disk, &free_disk, &usp, mntp) == 6 ||
! 		    sscanf (input_buffer, "%s %*s %d %d %d %d%% %s", file_system,
  				 &total_disk, &used_disk, &free_disk, &usp, mntp) == 6) {
  
   			if (strcmp(exclude_device,file_system) == 0 ||
--- 96,104 ----
  		if (!index (input_buffer, '/'))
  			continue;
  
! 		if (sscanf (input_buffer, "%s %f %f %f %d%% %s", file_system,
  		     &total_disk, &used_disk, &free_disk, &usp, mntp) == 6 ||
! 		    sscanf (input_buffer, "%s %*s %f %f %f %d%% %s", file_system,
  				 &total_disk, &used_disk, &free_disk, &usp, mntp) == 6) {
  
   			if (strcmp(exclude_device,file_system) == 0 ||
***************
*** 114,120 ****
  				strncpy (file_system, mntp, MAX_INPUT_BUFFER-1);
  
  			if (disk_result!=STATE_OK || verbose>=0) 
! 				asprintf (&output, "%s [%d kB (%d%%) free on %s]", output,
  				          free_disk, 100 - usp, display_mntp ? mntp : file_system);
  
  			result = max_state (result, disk_result);
--- 114,120 ----
  				strncpy (file_system, mntp, MAX_INPUT_BUFFER-1);
  
  			if (disk_result!=STATE_OK || verbose>=0) 
! 				asprintf (&output, "%s [%.0f kB (%d%%) free on %s]", output,
  				          free_disk, 100 - usp, display_mntp ? mntp : file_system);
  
  			result = max_state (result, disk_result);
***************
*** 303,309 ****
  }
  
  int
! check_disk (usp, free_disk)
  {
  	int result = STATE_UNKNOWN;
  	/* check the percent used space against thresholds */
--- 303,309 ----
  }
  
  int
! check_disk (int usp, float free_disk)
  {
  	int result = STATE_UNKNOWN;
  	/* check the percent used space against thresholds */
